REM ----------------------------------------------------------------------
REM This batch file compiles the qflib sources and creates the jar
REM file for your JDK version.
REM
REM please set the variable JDK to either 11 for JDK 1.1 or 12 for
REM JDK 1.2 or 1.3, according to your installed JDK.
REM ----------------------------------------------------------------------

SET JDK=12

REM ----------------------------------------------------------------------
REM No more changes should be necessary below this line
REM ----------------------------------------------------------------------

cd de\qfs\apps\qflog
copy *.java_%JDK% *.java
cd ..\..\..\..

cd de\qfs\apps\qflog\command
copy *.java_%JDK% *.java
cd ..\..\..\..\..

cd de\qfs\apps\qflog\logview
copy *.java_%JDK% *.java
cd ..\..\..\..\..

cd de\qfs\apps\qflog\logview\command
copy *.java_%JDK% *.java
cd ..\..\..\..\..\..

javac -d ..\classes -classpath .;%CLASSPATH% de\qfs\apps\qflog\*.java de\qfs\apps\qflog\command\*.java de\qfs\apps\qflog\logview\*.java de\qfs\apps\qflog\logview\command\*.java

xcopy /e /i de\qfs\apps\qflog\resources ..\classes\de\qfs\apps\qflog\resources
xcopy /e /i de\qfs\apps\qflog\logview\resources ..\classes\de\qfs\apps\qflog\logview\resources

cd ..\classes

jar cfv ..\qflog_%JDK%.jar de

cd ..\src
